Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039565
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Sessionsmajoralways2018-10-30 10:332018-11-16 10:38
ReporteranderarangurenView Statuspublic 
Assigned Torqueralta 
PriorityurgentResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revisionccc120e9e110
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039565: pOSSBusinessDate is changing the Date to the day before when the client is in another time zone than the server

DescriptionpOSSBusinessDate is changing the Date to the day before when the client is in another time zone than the server
Steps To ReproduceClose the store from the backend (Time zone in the server is GMT+1)
Open it with the current date(30-10-2018)
Go to the Web POS and complete some orders
Change the time zone of the client to GMT +6
Complete another order
Go to the backend to Data Import Entries window and see that the pOSSBusinessDate of the JSON is for the day before (29-10-2018)
TagsNo tags attached.
Attached Filespng file icon DIEWindow.png [^] (154,530 bytes) 2018-10-30 10:33

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0107785)
hgbot (developer)
2018-11-07 21:56

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: ccc120e9e11058337176b2d7af1724db21cfbc50
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Wed Nov 07 21:51:58 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/ccc120e9e11058337176b2d7af1724db21cfbc50 [^]

Fixed issue 39565: pOSSBusinessDate is changing the Date to the day before when
the client is in another time zone than the server

---
M web/org.openbravo.retail.sessions/js/components/ordersavehook.js
---

- Issue History
Date Modified Username Field Change
2018-10-30 10:33 anderaranguren New Issue
2018-10-30 10:33 anderaranguren Assigned To => Retail
2018-10-30 10:33 anderaranguren File Added: DIEWindow.png
2018-10-30 10:33 anderaranguren Triggers an Emergency Pack => No
2018-10-30 10:58 rafaroda Issue Monitored: rafaroda
2018-10-31 19:40 rqueralta Assigned To Retail => rqueralta
2018-10-31 20:30 rqueralta Status new => scheduled
2018-11-07 21:56 hgbot Checkin
2018-11-07 21:56 hgbot Note Added: 0107785
2018-11-07 21:56 hgbot Status scheduled => resolved
2018-11-07 21:56 hgbot Resolution open => fixed
2018-11-07 21:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/ccc120e9e11058337176b2d7af1724db21cfbc50 [^]
2018-11-16 10:38 marvintm Review Assigned To => marvintm
2018-11-16 10:38 marvintm Status resolved => closed
2018-11-16 10:38 marvintm Fixed in Version => RR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker